View Issue Details

IDProjectCategoryView StatusLast Update
0001377Ham Radio DeluxeBugpublic2018-12-01 08:08
ReporterSupport 
Assigned ToW4PC 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformElecraft K3OSWin7OS Version
Product Version 
Target VersionFixed in Version6.2.4 
Summary0001377: Elecraft: K3: Button DATA
DescriptionButton Data should be able to select Data Mode A when using with HRD.
Mode DATA
Steps To ReproduceWhen you use Mode Data for a standalone K3 by using its build in function
working bsk31 or rtty you have to switch to DATA A when you want to us eHRD with
Digital Modes.
Additional InformationReported by OE2HEM
TagsElecraft, K3
ModuleRig Control
Sub-ModuleRig Control
Testing

Relationships

Activities

W4PC

2014-02-19 12:21

updater   ~0000355

this is a bug in the elecraft firmware, we'll have to work with them on it

W4PC

2014-02-19 12:33

updater   ~0000358

Fixed in next beta: (work around of firmware bugs)
AFX - doesn't do anything.​
​AGC - Off = it switches to fast not off
​Mode + - skips modes, but also skips lsb and usb and data. switches between cw and am only
Mode - - Does the same as mode +
Band + - skips bands when pressed
Band - - skips bands when pressed
​Xfil - only selects two filters #2 and #4 skips filter #1 and #3
​Freq Entrey - Does not work at all
​NB - will turn on, but cant turn it off.
​Meter - will not work
​NR - Does not work at all.
​Notch - only turns off but will not turn it on.
​CWT - Turn it on, but will not turn it off.
​Fine - Does not work at all
​Dual PB - Does not work
​Test - does not work.

ALT
ATU
COURSE
VOX
RX ANT

​Firmware bugs in the K3
​=======================
PF1 - does not work
PF2 - does not work
​Data does not work..

WA9PIE

2014-08-18 15:04

administrator   ~0000508

Cleaning up closed items already marked "Resolved".

Mike, WA9PIE

Issue History

Date Modified Username Field Change
2013-12-23 21:44 WA9PIE New Issue
2013-12-23 21:44 WA9PIE Status new => assigned
2013-12-23 21:44 WA9PIE Assigned To => Support
2013-12-24 09:29 WA9PIE Project 2 - Next Dev List (Holding Area) => @6@
2013-12-28 01:34 WA9PIE Project @6@ => 3 - Current Dev List
2014-01-19 23:42 WA9PIE Assigned To Support => W4PC
2014-02-02 13:00 WA9PIE Release => (select)
2014-02-02 13:00 WA9PIE Module => (select)
2014-02-02 13:00 WA9PIE Sub-Module => (select)
2014-02-02 13:00 WA9PIE Report Build => (select)
2014-02-02 13:00 WA9PIE Description Updated View Revisions
2014-02-02 13:00 WA9PIE Steps to Reproduce Updated View Revisions
2014-02-02 13:00 WA9PIE Summary K3: Button DATA => Bug: K3: Button DATA
2014-02-02 15:36 WA9PIE Severity feature => minor
2014-02-02 16:39 WA9PIE View Status private => public
2014-02-19 12:21 W4PC Note Added: 0000355
2014-02-19 12:21 W4PC Status assigned => confirmed
2014-02-19 12:33 W4PC Note Added: 0000358
2014-03-24 19:54 W4PC Release (select) => 6.1
2014-03-24 19:54 W4PC Fix Build => 6.2.245
2014-03-24 19:54 W4PC Module (select) => Rig Control
2014-03-24 19:54 W4PC Sub-Module (select) => Rig Control
2014-03-24 19:54 W4PC Report Build (select) => 6.1.4.189
2014-03-24 19:54 W4PC Status confirmed => resolved
2014-03-24 19:54 W4PC Resolution open => fixed
2014-03-25 21:10 WA9PIE Summary Bug: K3: Button DATA => Bug: Elecraft: K3: Button DATA
2014-05-27 14:39 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2014-05-27 14:39 WA9PIE Category Rig Control => General
2014-08-18 15:04 WA9PIE Note Added: 0000508
2014-08-18 15:04 WA9PIE Status resolved => closed
2015-09-30 12:38 WA9PIE Fix Build 6.2.245 => (select)
2015-09-30 12:38 WA9PIE Proposed Release => TBD
2015-09-30 12:38 WA9PIE Summary Bug: Elecraft: K3: Button DATA => Elecraft: K3: Button DATA
2015-09-30 13:34 WA9PIE Category General => Bug
2017-06-19 20:05 WA9PIE Fixed in Version => 6.2.4
2018-12-01 08:08 WA9PIE Tag Attached: Elecraft
2018-12-01 08:08 WA9PIE Tag Attached: K3